import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-react-core/ES5/type";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected qj(): void;
    protected p4: IndicatorCalculationStrategy;
    protected abstract readonly p5: IndicatorCalculationStrategy;
    protected abstract readonly qi: Type;
    static p8: List$1<string>;
    protected qb(): number;
    qk(a: number): void;
    protected qd(): number;
    protected qa(): number;
    static qo(a: number, b: Type, c: string): DependencyProperty;
    protected static qn(a: number, b: Type): DependencyProperty;
    protected static ql(a: number, b: Type): DependencyProperty;
    protected static qp(a: number, b: Type): DependencyProperty;
    protected ph(a: number, b: number): IList$1<string>;
    protected pe(a: number, b: number): boolean;
    protected p7(a: FinancialCalculationDataSource): boolean;
    private p6;
    protected qc(a: number): number;
    protected md(a: number, b: number): FinancialCalculationDataSource;
    protected p9(): number;
    protected static qm(a: number, b: Type): DependencyProperty;
    protected is(a: any, b: string, c: any, d: any): void;
}
